Agda-2.8.0: A dependently typed functional programming language and proof assistant

Safe Haskell | None
Language | Haskell2010

Agda.Utils.Environment

Description

Expand environment variables in strings

Synopsis

- type EnvVars = [(String, String)]
- expandEnvironmentVariables :: String -> IO String
- expandEnvVarTelescope :: String -> EnvVars -> EnvVars

# Documentation

type EnvVars = [(String, String)] Source #

List of environment variable bindings.

expandEnvironmentVariables :: String -> IO String Source #

expandEnvVarTelescope :: String -> EnvVars -> EnvVars Source #

Expand a telescope of environment variables (each value may refer to variables earlier in the list).